# Hurry Curry! - a game about cooking
# Copyright (C) 2025 Hurry Curry! contributors
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, version 3 of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
class_name Door
extends WallTile

func _init(ctx: TileFactory.TileCC):
	super(ctx)

	var new_facing = 0
	for i in range(4):
		if ctx.neighbors[i].has("door"):
			new_facing = i
			turn_facing(new_facing)
	add_dyed_mesh(ctx, load("res://map/tiles/door.tscn").instantiate(), "Door", 1)
